events.listen('recipes', function (event) {
  //-----------------------------------------TIERS 1--------------------------------------------------------------------------------------
  event.remove({ output: "mysticalagriculture:seed/infusion/stone" })
  inferiumSeed('minecraft:stone', 'mysticalagriculture:stone_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/dirt" })
  inferiumSeed('minecraft:dirt', 'mysticalagriculture:dirt_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/wood" })
  inferiumSeed('minecraft:oak_log', 'mysticalagriculture:wood_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/ice" })
  inferiumSeed('minecraft:packed_ice', 'mysticalagriculture:ice_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/earth" })
  inferiumSeed('mysticalagriculture:earth_agglomeratio', 'mysticalagriculture:earth_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/water" })
  inferiumSeed('mysticalagriculture:water_agglomeratio', 'mysticalagriculture:water_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/air" })
  inferiumSeed('mysticalagriculture:air_agglomeratio', 'mysticalagriculture:air_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/fire" })
  inferiumSeed('mysticalagriculture:fire_agglomeratio', 'mysticalagriculture:fire_seeds')
  //-----------------------------------------TIERS 2--------------------------------------------------------------------------------------
  event.remove({ output: "mysticalagriculture:seed/infusion/nature" })
  prudentiumSeed('mysticalagriculture:nature_agglomeratio', 'mysticalagriculture:nature_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/dye" })
  prudentiumSeed('mysticalagriculture:dye_agglomeratio', 'mysticalagriculture:dye_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/nether" })
  prudentiumSeed('mysticalagriculture:nether_agglomeratio', 'mysticalagriculture:nether_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/coal" })
  prudentiumSeed('minecraft:coal_block', 'mysticalagriculture:coal_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/coral" })
  prudentiumSeed('mysticalagriculture:coral_agglomeratio', 'mysticalagriculture:coral_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/honey" })
  prudentiumSeed('mysticalagriculture:honey_agglomeratio', 'mysticalagriculture:honey_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/sulfur" })
  prudentiumSeed('mekanism:dust_sulfur', 'mysticalagriculture:sulfur_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/aluminum" })
  prudentiumSeed('alltheores:aluminum_block', 'mysticalagriculture:aluminum_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/copper" })
  prudentiumSeed('alltheores:copper_block', 'mysticalagriculture:copper_seeds')
  //-----------------------------------------TIERS 3--------------------------------------------------------------------------------------
  event.remove({ output: "mysticalagriculture:seed/infusion/iron" })
  tertiumSeed('minecraft:iron_block', 'mysticalagriculture:iron_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/nether_quartz" })
  tertiumSeed('minecraft:quartz_block', 'mysticalagriculture:nether_quartz_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/glowstone" })
  tertiumSeed('minecraft:glowstone', 'mysticalagriculture:glowstone_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/redstone" })
  tertiumSeed('minecraft:redstone_block', 'mysticalagriculture:redstone_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/obsidian" })
  tertiumSeed('minecraft:obsidian', 'mysticalagriculture:obsidian_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/prismarine" })
  tertiumSeed('mysticalagriculture:prismarine_agglomeratio', 'mysticalagriculture:prismarine_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/tin" })
  tertiumSeed('alltheores:tin_block', 'mysticalagriculture:tin_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/silver" })
  tertiumSeed('alltheores:silver_block', 'mysticalagriculture:silver_seeds')
  
  event.remove({ output: "mysticalagriculture:seed/infusion/lead" })
  tertiumSeed('alltheores:lead_block', 'mysticalagriculture:lead_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/fire_stone" })
  tertiumSeed('pixelmon:fire_stone', 'mysticalagriculture:fire_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/water_stone" })
  tertiumSeed('pixelmon:water_stone', 'mysticalagriculture:water_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/leaf_stone" })
  tertiumSeed('pixelmon:leaf_stone', 'mysticalagriculture:leaf_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/thunder_stone" })
  tertiumSeed('pixelmon:thunder_stone', 'mysticalagriculture:thunder_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/shiny_stone" })
  tertiumSeed('pixelmon:shiny_stone', 'mysticalagriculture:shiny_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/ice_stone" })
  tertiumSeed('pixelmon:ice_stone', 'mysticalagriculture:ice_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/red_zychorium" })
  tertiumSeed('zycraft:red_zychorium_block', 'mysticalagriculture:red_zychorium_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/green_zychorium" })
  tertiumSeed('zycraft:green_zychorium_block', 'mysticalagriculture:green_zychorium_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/blue_zychorium" })
  tertiumSeed('zycraft:blue_zychorium_block', 'mysticalagriculture:blue_zychorium_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/white_zychorium" })
  tertiumSeed('zycraft:white_zychorium_block', 'mysticalagriculture:white_zychorium_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/black_zychorium" })
  tertiumSeed('zycraft:black_zychorium_block', 'mysticalagriculture:black_zychorium_seeds')
  //-----------------------------------------TIERS 4--------------------------------------------------------------------------------------
  event.remove({ output: "mysticalagriculture:seed/infusion/gold" })
  imperiumSeed('minecraft:gold_block', 'mysticalagriculture:gold_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/lapis_lazuli" })
  imperiumSeed('minecraft:lapis_block', 'mysticalagriculture:lapis_lazuli_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/end" })
  imperiumSeed('mysticalagriculture:end_agglomeratio', 'mysticalagriculture:end_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/uranium" })
  imperiumSeed('alltheores:uranium_block', 'mysticalagriculture:uranium_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/osmium" })
  imperiumSeed('alltheores:osmium_block', 'mysticalagriculture:osmium_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/fluorite" })
  imperiumSeed('mekanism:block_fluorite', 'mysticalagriculture:fluorite_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/sapphire" })
  imperiumSeed('pixelmon:sapphire_block', 'mysticalagriculture:sapphire_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/ruby" })
  imperiumSeed('pixelmon:ruby_block', 'mysticalagriculture:ruby_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/dawn_stone" })
  imperiumSeed('pixelmon:dawn_stone', 'mysticalagriculture:dawn_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/dusk_stone" })
  imperiumSeed('pixelmon:dusk_stone', 'mysticalagriculture:dusk_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/sun_stone" })
  imperiumSeed('pixelmon:sun_stone', 'mysticalagriculture:sun_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/moon_stone" })
  imperiumSeed('pixelmon:moon_stone', 'mysticalagriculture:moon_stone_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/electrotine_dust" })
  imperiumSeed('projectred-core:electrotine_ingot', 'mysticalagriculture:electrotine_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/amethyst" })
  imperiumSeed('pixelmon:amethyst_block', 'mysticalagriculture:amethyst_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/crystal" })
  imperiumSeed('pixelmon:crystal_block', 'mysticalagriculture:crystal_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/quartz_crystal" })
  imperiumSeed('zycraft:quartz_crystal_block', 'mysticalagriculture:quartz_crystal_seeds')
  //-----------------------------------------TIERS 5--------------------------------------------------------------------------------------
  event.remove({ output: "mysticalagriculture:seed/infusion/emerald" })
  supremiumSeed('minecraft:emerald_block', 'mysticalagriculture:emerald_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/netherite" })
  supremiumSeed('minecraft:netherite_block', 'mysticalagriculture:netherite_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/platinum" })
  supremiumSeed('alltheores:platinum_block', 'mysticalagriculture:platinum_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/diamond" })
  supremiumSeed('minecraft:diamond_block', 'mysticalagriculture:diamond_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/draconium" })
  supremiumSeed('draconicevolution:draconium_block', 'mysticalagriculture:draconium_seeds')

  event.remove({ output: "mysticalagriculture:seed/infusion/prosperity" })
  supremiumSeed('mysticalagriculture:prosperity_block', 'mysticalagriculture:prosperity_shard_seeds')
  //-----------------------------------------TIERS 6--------------------------------------------------------------------------------------
  event.remove({ output: "mysticalagriculture:nether_star_seeds_infusion" })
  insaniumSeed('mysticalagradditions:nether_star_crux','mysticalagriculture:nether_star_seeds')

  event.remove({ output: "mysticalagriculture:dragon_egg_seeds_infusion" })
  insaniumSeed('mysticalagradditions:dragon_egg_crux','mysticalagriculture:dragon_egg_seeds')
  //-----------------------------------------SOULIUM--------------------------------------------------------------------------------------
  //Pig Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/pig" })
  souliumSeed('minecraft:porkchop', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:pig_seeds')
  //Chicken Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/chicken" })
  souliumSeed('minecraft:chicken', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:chicken_seeds')
  //Cow Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/cow" })
  souliumSeed('minecraft:beef', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:cow_seeds')
  //Sheep Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/sheep" })
  souliumSeed('minecraft:mutton', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:sheep_seeds')
  //Squid Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/squid" })
  souliumSeed('decoration_mod:linterna_de_papel_de_calamar', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:squid_seeds')
  //Fish Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/fish" })
  souliumSeed('decoration_mod:estante_de_cubo_de_pez_tropical', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:fish_seeds')
  //Slime Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/slime" })
  souliumSeed('minecraft:slime_block', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:slime_seeds')
  //Turtle Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/turtle" })
  souliumSeed('computercraft:turtle_advanced', 'mysticalagriculture:prudentium_essence', 'mysticalagriculture:turtle_seeds')
  //Zombie Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/zombie" })
  souliumSeed('exlinefurniture:zombie_arm', 'mysticalagriculture:tertium_essence', 'mysticalagriculture:zombie_seeds')
  //Skeleton Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/skeleton" })
  souliumSeed('exlinefurniture:skeleton_doll', 'mysticalagriculture:tertium_essence', 'mysticalagriculture:skeleton_seeds')
  //Creeper Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/creeper" })
  souliumSeed('decoration_mod:linterna_de_papel_de_creeper', 'mysticalagriculture:tertium_essence', 'mysticalagriculture:creeper_seeds')
  //Spider Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/spider" })
  souliumSeed('exlinefurniture:cave_spider_doll', 'mysticalagriculture:tertium_essence', 'mysticalagriculture:spider_seeds')
  //Rabbit Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/rabbit" })
  souliumSeed('minecraft:rabbit', 'mysticalagriculture:tertium_essence', 'mysticalagriculture:rabbit_seeds')
  //Experience Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/experience" })
  souliumSeed('minecraft:experience_bottle', 'mysticalagriculture:imperium_essence', 'mysticalagriculture:experience_seeds')
  //Enderman Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/enderman" })
  souliumSeed('decoration_mod:linterna_de_papel_de_enderman', 'mysticalagriculture:imperium_essence', 'mysticalagriculture:enderman_seeds')
  //Ghast Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/ghast" })
  souliumSeed('minecraft:ghast_tear', 'mysticalagriculture:imperium_essence', 'mysticalagriculture:ghast_seeds')
  //Blaze Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/blaze" })
  souliumSeed('minecraft:blaze_rod', 'mysticalagriculture:imperium_essence', 'mysticalagriculture:blaze_seeds')
  //Wither Skeleton Seed
  event.remove({ output: "mysticalagriculture:seed/infusion/wither_skeleton" })
  souliumSeed('exlinefurniture:wither_skeleton_doll', 'mysticalagriculture:supremium_essence', 'mysticalagriculture:wither_skeleton_seeds')
  //-----------------------------------------TIERS CREATIVE--------------------------------------------------------------------------------------
  creativeSeed('mysticalagradditions:awakened_draconium_crux','mysticalagradditions:creative_essence', 'mysticalagriculture:awakened_draconium_seeds' )

  creativeSeed('draconicevolution:chaos_shard','mysticalagradditions:creative_essence', 'mysticalagriculture:chaos_shard_seeds' )
  //Infusion (Do not touch)
  function souliumSeed (input, essence, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:soulium_seed_base" },"ingredients": [{"item": input},{"item": essence},{"item": input},{"item": essence},{"item": input},{"item": essence},{"item": input},{"item": essence}],"result": { "item": output, "count": 1 }})}

  function inferiumSeed (input, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:prosperity_seed_base" },"ingredients": [{"item": input},{"item": "mysticalagriculture:inferium_essence"},{"item": input},{"item": "mysticalagriculture:inferium_essence"},{"item": input},{"item": "mysticalagriculture:inferium_essence"},{"item": input},{"item": "mysticalagriculture:inferium_essence"}],"result": { "item": output, "count": 1 }})}

  function prudentiumSeed (input, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:prosperity_seed_base" },"ingredients": [{"item": input},{"item": "mysticalagriculture:prudentium_essence"},{"item": input},{"item": "mysticalagriculture:prudentium_essence"},{"item": input},{"item": "mysticalagriculture:prudentium_essence"},{"item": input},{"item": "mysticalagriculture:prudentium_essence"}],"result": { "item": output, "count": 1 }})}

  function tertiumSeed (input, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:prosperity_seed_base" },"ingredients": [{"item": input},{"item": "mysticalagriculture:tertium_essence"},{"item": input},{"item": "mysticalagriculture:tertium_essence"},{"item": input},{"item": "mysticalagriculture:tertium_essence"},{"item": input},{"item": "mysticalagriculture:tertium_essence"}],"result": { "item": output, "count": 1 }})}

  function imperiumSeed (input, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:prosperity_seed_base" },"ingredients": [{"item": input},{"item": "mysticalagriculture:imperium_essence" },{"item": input},{"item": "mysticalagriculture:imperium_essence" },{"item": input},{"item": "mysticalagriculture:imperium_essence" },{"item": input},{"item": "mysticalagriculture:imperium_essence" }],"result": {"item": output, "count": 1}})}

  function supremiumSeed (input, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:prosperity_seed_base" },"ingredients": [{"item": input},{"item": "mysticalagriculture:supremium_essence"},{"item": input},{"item": "mysticalagriculture:supremium_essence"},{"item": input},{"item": "mysticalagriculture:supremium_essence"},{"item": input},{"item": "mysticalagriculture:supremium_essence"}],"result": {"item": output, "count": 1}})}

  function insaniumSeed (input, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:prosperity_seed_base" },"ingredients": [{"item": input},{"item": "mysticalagradditions:insanium_essence"},{"item": input},{"item": "mysticalagradditions:insanium_essence"},{"item": input},{"item": "mysticalagradditions:insanium_essence"},{"item": input},{"item": "mysticalagradditions:insanium_essence"}],"result": {"item": output, "count": 1}})}
  
  function creativeSeed (input, essence, output){
    event.custom({"type": "mysticalagriculture:infusion","input": { "item": "mysticalagriculture:prosperity_seed_base" },"ingredients": [{"item": input},{"item": essence},{"item": input},{"item": essence},{"item": input},{"item": essence},{"item": input},{"item": essence}],"result": { "item": output, "count": 1 }})}  
})

onEvent('recipes', (event) => {
  //Mystical Agriculture
  event.shaped('mysticalagriculture:prosperity_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:prosperity_shard_essence'
  }).id('kubejs:mysticalagriculture/prosperity_shard')

  event.shaped('mysticalagriculture:inferium_seeds', ['AAA', 'ABA', 'AAA'], {
    A: 'mysticalagriculture:inferium_essence',
    B: 'minecraft:wheat_seeds'
  }).id('kubejs:mysticalagriculture/inferium_seeds')
  //All The Modium
  event.shaped('allthemodium:allthemodium_nugget', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:allthemodium_essence'
  }).id('kubejs:allthemodium/allthemodium_nugget')

  event.shaped('allthemodium:vibranium_nugget', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:vibranium_essence'
  }).id('kubejs:allthemodium/vibranium_nugget')

  event.shaped('allthemodium:unobtainium_nugget', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:unobtainium_essence'
  }).id('kubejs:allthemodium/unobtainium_nugget')
  //Draconic Evolution
  event.shaped('draconicevolution:small_chaos_frag', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:chaos_shard_essence'
  }).id('kubejs:draconicevolution/small_chaos_frag')
  //Pixelmon
  event.remove({id:'projectred-core:ruby'})
  event.shaped('6x pixelmon:ruby', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:ruby_essence'
  }).id('kubejs:pixelmon/ruby')

  event.remove({id:'projectred-core:sapphire'})
  event.shaped('6x pixelmon:sapphire', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:sapphire_essence'
  }).id('kubejs:pixelmon/sapphire')

  event.shaped('pixelmon:fire_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:fire_stone_essence'
  }).id('kubejs:pixelmon/fire_stone_shard')

  event.shaped('pixelmon:water_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:water_stone_essence'
  }).id('kubejs:pixelmon/water_stone_shard')

  event.shaped('pixelmon:leaf_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:leaf_stone_essence'
  }).id('kubejs:pixelmon/leaf_stone_shard')

  event.shaped('pixelmon:ice_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:ice_stone_essence'
  }).id('kubejs:pixelmon/ice_stone_shard')

  event.shaped('pixelmon:thunder_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:thunder_stone_essence'
  }).id('kubejs:pixelmon/thunder_stone_shard')

  event.shaped('pixelmon:shiny_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:shiny_stone_essence'
  }).id('kubejs:pixelmon/shiny_stone_shard')

  event.shaped('pixelmon:dawn_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:dawn_stone_essence'
  }).id('kubejs:pixelmon/dawn_stone_shard')

  event.shaped('pixelmon:dusk_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:dusk_stone_essence'
  }).id('kubejs:pixelmon/dusk_stone_shard')

  event.shaped('pixelmon:sun_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:sun_stone_essence'
  }).id('kubejs:pixelmon/sun_stone_shard')

  event.shaped('pixelmon:moon_stone_shard', ['AAA', 'AAA', 'AAA'], {
    A: 'mysticalagriculture:moon_stone_essence'
  }).id('kubejs:pixelmon/moon_stone_shard')

  event.shaped('6x pixelmon:amethyst', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:amethyst_essence'
  }).id('kubejs:pixelmon/amethyst')

  event.shaped('6x pixelmon:crystal', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:crystal_essence'
  }).id('kubejs:pixelmon/crystal')
//Project Red
  event.shaped('12x projectred-core:electrotine_dust', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:electrotine_essence'
  }).id('kubejs:projectred-core/electrotine_dust')
//Zycraft
  event.shaped('12x zycraft:red_zychorium', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:red_zychorium_essence'
  }).id('kubejs:zycraft/red_zychorium')

  event.shaped('12x zycraft:green_zychorium', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:green_zychorium_essence'
  }).id('kubejs:zycraft/green_zychorium')

  event.shaped('12x zycraft:blue_zychorium', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:blue_zychorium_essence'
  }).id('kubejs:zycraft/blue_zychorium')

  event.shaped('12x zycraft:light_zychorium', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:white_zychorium_essence'
  }).id('kubejs:zycraft/light_zychorium')
  
  event.shaped('12x zycraft:dark_zychorium', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:black_zychorium_essence'
  }).id('kubejs:zycraft/dark_zychorium')

  event.shaped('4x zycraft:quartz_crystal', ['AAA', 'A A', 'AAA'], {
    A: 'mysticalagriculture:quartz_crystal_essence'
  }).id('kubejs:zycraft/quartz_crystal')
})